Bug 1441404 - SUI : Snapshot is not created when VM is not connected to active provider but success message is displayed.
Summary: SUI : Snapshot is not created when VM is not connected to active provider but...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Allen W
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On: 1440966
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 21:22 UTC by Satoe Imaishi
Modified: 2017-05-31 15:03 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1440966
Environment:
Last Closed: 2017-05-31 15:03:14 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-13 19:08:00 UTC
New commit detected on ManageIQ/manageiq-ui-service/fine:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/dd4428d829d8a2751fb0fbed1bba161f2d279a38

commit dd4428d829d8a2751fb0fbed1bba161f2d279a38
Author:     Chris Kacerguis <chriskacerguis@users.noreply.github.com>
AuthorDate: Tue Apr 11 14:42:19 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 15:06:52 2017 -0400

    Merge pull request #664 from AllenBW/BZ/1440966-correctly-handle-action-errors
    
    BZ#1440966 correctly handle action errors
    (cherry picked from commit bec71ebc1bf1295b10d1c1d7c1a2b4cdaa193b15)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441404

 client/app/core/action-notifications.service.js    | 12 ++++++++++
 client/app/core/core.module.js                     |  2 ++
 .../process-snapshots-modal.component.js           |  6 ++---
 client/app/services/vms/snapshots.component.js     | 26 +++++++++-------------
 4 files changed, 27 insertions(+), 19 deletions(-)
 create mode 100644 client/app/core/action-notifications.service.js

Comment 3 Allen W 2017-04-17 14:13:49 UTC
Wondering if this can be moved to post or somewhere else? Showing up as assigned makes me nervous! :P

Comment 5 Shveta 2017-04-19 22:32:26 UTC
Fixed .
Verified in 5.8.0.11-beta2.20170418170914_a53d2a7

Comment 7 errata-xmlrpc 2017-05-31 15:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.